// 自己 后端 request
import request from '@/utils/aRequestCF';
import requestB from '@/utils/bRequestEa';

/**
 * 创建活动
 */
export function createActive(params) {
  return request({
    url: `activity/add`,
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: params
  })
}

/**
 * 获取活动列表
 */
export function getActiveList(inData) {
  let getData = {
    args: inData
  }
  return requestB({
    url: '',
    method: 'get',
    getData
  })
}