import Vue from 'vue'
import App from './App.vue'
import Router from 'vue-router'
import router from './router'
import store from './store'
import './lib/rem';
import Vant from 'vant';
import { Toast } from 'vant';
import 'vant/lib/index.css';
import vConsole from 'vconsole'
// import VeeValidate, { Validator } from 'vee-validate'
import cn from 'vee-validate/dist/locale/zh_CN';

// Validator.addLocale(cn)
// Vue.use(VeeValidate, {
//   locale: 'zh_CN'
// })

// const dictionary = {
//   zh_CN: {
//     messages: {
//       required: (val) => {
//         let msg = ''
//         switch (val) {
//           case 'logo':
//             msg = 'logo'
//             break
//           case 'name':
//             msg = '专柜名称'
//             break
//           case 'location':
//             msg = '专柜地址'
//           break
//           case 'number':
//             msg = '电话号码'
//           break
//           case 'summaryTitle':
//             msg = '摘要信息'
//           break
//           case 'summary':
//             msg = '正文内容'
//           break
//           case 'banner':
//             msg = '轮播图'
//             break
//           default:;
//         }
//         msg = msg + '不能为空'
//         return msg
//       }
//     }
//   }
// }
// Validator.updateDictionary(dictionary)

Vue.prototype.$vConsole= new vConsole()
Vue.config.productionTip = false
Vue.use(Vant)
Vue.use(Toast)

const originalPush = Router.prototype.push
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
