import requestCF from '@/utils/aRequestCF'
import qs from 'qs'

export function getUserInfoByUserId(params) {
  return requestCF({
    url: '/admin/auth/addressbook/clerk/getStallCodeByClerkId',
    method: 'get',
    params
  })
}
// 门店维护
export function editStore(data) {
  return requestCF({
    url: '/admin/auth/stall/settingOrUpdateStall',
    method: 'post',
    data: qs.stringify(data)
  })
}
// 获取门店详情
export function getStoreDetail(params) {
  return requestCF({
    url: '/admin/auth/stall/getByOyStallCode',
    method: 'get',
    params
  })
}
// 获取专柜列表 
export function getStoreList(params) {
  return requestCF({
    url: '/admin/auth/stall/getStallInfoListByUserId',
    method: 'get',
    params
  })
}
